curl --request PATCH \
--url https://staging.api.us.aptlydone.com/decision/v1/delegations/check-cascading-updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"decisionId": "864fa115-52d0-4466-baff-740447a60774",
"parentDelegationId": "726fa115-52d0-4466-baff-740447a60774",
"updatedPathwayOptions": [
"Matrix",
"Direct Line",
"Functional"
],
"updatedDelegationGroups": [
{
"groupId": "105fa115-52d0-4466-baff-740447a60774",
"tenantGroupTypeId": "105fa115-52d0-4466-baff-740447a60774",
"displayName": "Engineering Team",
"groupName": "Engineering Team",
"isInvalid": false
}
],
"updatedDelegationAuthorities": [
{
"authorityTypeId": "105fa115-52d0-4466-baff-740447a60774",
"authorityLimit": "Primary",
"authorityLimitValueType": "Currency",
"authorityLimitOperator": "<=",
"redelegable": true,
"authorityTypeOrder": 1,
"authorityLimitValue": "1000000",
"authorityLimitValueUnit": "$",
"redelegationLimitValue": "500000",
"redelegationLimitValueUnit": "$",
"isInvalid": false,
"isLimitOverridden": false
}
],
"updatedDecisionGroups": [
{
"groupId": "105fa115-52d0-4466-baff-740447a60774",
"tenantGroupTypeId": "105fa115-52d0-4466-baff-740447a60774",
"displayName": "Engineering Team",
"groupName": "Engineering Team"
}
],
"updatedDecisionAuthorities": [
{
"authorityTypeId": "105fa115-52d0-4466-baff-740447a60774",
"authorityType": "Approval",
"authorityLimit": "Primary",
"authorityLimitValueType": "Currency",
"authorityLimitOperator": "<=",
"authorityTypeOrder": 1,
"authorityTypeIcon": "check-square",
"authorityLimitValue": "1000000",
"authorityLimitValueUnit": "$"
}
]
}
'{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:50.384Z",
"message": "Success",
"data": {
"numberOfChildDelegationsInvalidated": false,
"childDelegationsInvalidated": false
}
}curl --request PATCH \
--url https://staging.api.us.aptlydone.com/decision/v1/delegations/check-cascading-updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"decisionId": "864fa115-52d0-4466-baff-740447a60774",
"parentDelegationId": "726fa115-52d0-4466-baff-740447a60774",
"updatedPathwayOptions": [
"Matrix",
"Direct Line",
"Functional"
],
"updatedDelegationGroups": [
{
"groupId": "105fa115-52d0-4466-baff-740447a60774",
"tenantGroupTypeId": "105fa115-52d0-4466-baff-740447a60774",
"displayName": "Engineering Team",
"groupName": "Engineering Team",
"isInvalid": false
}
],
"updatedDelegationAuthorities": [
{
"authorityTypeId": "105fa115-52d0-4466-baff-740447a60774",
"authorityLimit": "Primary",
"authorityLimitValueType": "Currency",
"authorityLimitOperator": "<=",
"redelegable": true,
"authorityTypeOrder": 1,
"authorityLimitValue": "1000000",
"authorityLimitValueUnit": "$",
"redelegationLimitValue": "500000",
"redelegationLimitValueUnit": "$",
"isInvalid": false,
"isLimitOverridden": false
}
],
"updatedDecisionGroups": [
{
"groupId": "105fa115-52d0-4466-baff-740447a60774",
"tenantGroupTypeId": "105fa115-52d0-4466-baff-740447a60774",
"displayName": "Engineering Team",
"groupName": "Engineering Team"
}
],
"updatedDecisionAuthorities": [
{
"authorityTypeId": "105fa115-52d0-4466-baff-740447a60774",
"authorityType": "Approval",
"authorityLimit": "Primary",
"authorityLimitValueType": "Currency",
"authorityLimitOperator": "<=",
"authorityTypeOrder": 1,
"authorityTypeIcon": "check-square",
"authorityLimitValue": "1000000",
"authorityLimitValueUnit": "$"
}
]
}
'{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:50.384Z",
"message": "Success",
"data": {
"numberOfChildDelegationsInvalidated": false,
"childDelegationsInvalidated": false
}
}Documentation Index
Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of decision being edited which will potentially cascade updates to its child delegations
"864fa115-52d0-4466-baff-740447a60774"
ID of delegation being edited which will potentially cascade updates to its child delegations
"726fa115-52d0-4466-baff-740447a60774"
Updated Delegation Pathway options
["Matrix", "Direct Line", "Functional"]Updated Delegation Groups
Show child attributes
Updated Delegation Authorities
Show child attributes
Updated Decision Groups
Show child attributes
Updated Decision Authorities
Show child attributes
Cascading updates checked successfully before Delegation update
Was this page helpful?